PUSHDIVERT(-1)

ifdef(`BATCH_MAILER_PATH',, `define(`BATCH_MAILER_PATH', /usr/lib/uucp/batchmail)')
ifdef(`BCOPY_MAILER_PATH',, `define(`BCOPY_MAILER_PATH', /usr/lib/uucp/uuxbcopy)')
ifdef(`UCOPY_MAILER_PATH',, `define(`UCOPY_MAILER_PATH', /usr/lib/uucp/uux_copy)')
ifdef(`BATCH_MAILER_ARGS',, `define(`BATCH_MAILER_ARGS', `batchmail -gC $h $u')')
ifdef(`BCOPY_MAILER_ARGS',, `define(`BCOPY_MAILER_ARGS', `uuxbcopy $u $h $g')')
ifdef(`UCOPY_MAILER_ARGS',, `define(`UCOPY_MAILER_ARGS', `uux_copy $u $h $g')')
ifdef(`BATCH_MAILER_FLAGS',, `define(`BATCH_MAILER_FLAGS', `')')
ifdef(`BATCH_MAILER_MAX',,
	`define(`BATCH_MAILER_MAX',
		`ifdef(`BATCH_MAX_SIZE', `BATCH_MAX_SIZE', 300000)')')
POPDIVERT

# batched mail
Muucp-batch,	P=BATCH_MAILER_PATH, F=CONCAT(mDFMhud, BATCH_MAILER_FLAGS), S=52/31, R=ifdef(`_ALL_MASQUERADE_', `21/31', `21'), M=BATCH_MAILER_MAX,
		_OPTINS(`BATCH_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,
		A=BATCH_MAILER_ARGS

# batched mail with copy
Muucp-bcopy,	P=BCOPY_MAILER_PATH, F=CONCAT(DFMhud, BATCH_MAILER_FLAGS), S=52/31, R=ifdef(`_ALL_MASQUERADE_', `21/31', `21'), M=BATCH_MAILER_MAX,
		_OPTINS(`BATCH_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,
		A=BCOPY_MAILER_ARGS

# uucp mail with copy
Muucp-copy,	P=UCOPY_MAILER_PATH, F=CONCAT(DFMhud, UUCP_MAILER_FLAGS), S=52/31, R=ifdef(`_ALL_MASQUERADE_', `21/31', `21'), M=UUCP_MAILER_MAX,
		_OPTINS(`UUCP_MAILER_CHARSET', `C=', `, ')T=X-UUCP/X-UUCP/X-Unix,
		A=UCOPY_MAILER_ARGS

